View Issue Details

IDProjectCategoryView StatusLast Update
0004094SymmetricDSNew Featurepublic2019-09-27 17:00
ReporterelongAssigned Toelong 
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.11.0 
Target Version3.11.0Fixed in Version3.11.0 
Summary0004094: Routing common batch mode for groups of nodes
DescriptionEnhance routing to use common batch mode for any arbitrary group of nodes, regardless of channel configuration. For each sym_data row, only create one sym_data_event row, and the same batch ID is used for the sym_outgoing_batch entries. Set the common_flag so the batch will be extracted once into staging and shared by all nodes in the group. For a group of one node, do not set the common_flag.

This will improve performance with a few use cases. When sub-setting rows to client nodes by a grouping, such as region, zone, and merchant group. When sending rows to all nodes and the traditional common mode is not detected for the channel. When using a mix of different routers on the channel. When the channel is bi-directional. This no longer depends on the user getting channel configuration setup just right with only default routers in one direction.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 de9014f7

2019-09-21 11:57:46

admin

Details Diff
0004094: Routing common batch mode for groups of nodes
0004094
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ChannelRouterContext.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/route/DataGapRouteReaderTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractRouterServiceTest.java Diff File

SymmetricDS: 3.11 14bede4a

2019-09-22 17:20:28

admin

Details Diff
0004094: Routing common batch mode for groups of nodes
0004094
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

SymmetricDS: 3.11 83896297

2019-09-26 08:21:49

admin

Details Diff
0004094: Routing common batch mode for groups of nodes
0004094
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

SymmetricDS: 3.11 7498b72f

2019-09-27 16:12:13

admin

Details Diff
0004094: Routing common batch mode for groups of nodes
0004094
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File

Issue History

Date Modified Username Field Change
2019-09-21 11:53 elong New Issue
2019-09-21 11:53 elong Status new => assigned
2019-09-21 11:53 elong Assigned To => elong
2019-09-21 11:58 elong Status assigned => resolved
2019-09-21 11:58 elong Resolution open => fixed
2019-09-21 11:58 elong Fixed in Version => 3.11.0
2019-09-27 17:00 admin Changeset attached => SymmetricDS 3.11 7498b72f
2019-09-27 17:00 admin Changeset attached => SymmetricDS 3.11 83896297
2019-09-27 17:00 admin Changeset attached => SymmetricDS 3.11 14bede4a
2019-09-27 17:00 admin Changeset attached => SymmetricDS 3.11 de9014f7